// Package constants.
export declare const PACKAGE = "package";
export declare const AT_LATEST = "@latest";
export declare const LATEST = "latest";
export declare const PACKAGE_DEFAULT_VERSION = "1.0.0";
// Package default Node range.
export declare function getPackageDefaultNodeRange(): string | undefined;
// Package default Socket categories.
export declare function getPackageDefaultSocketCategories(): readonly string[];
// Package extensions.
export declare function getPackageExtensions(): Iterable<[string, unknown]>;
// NPM lifecycle event.
export declare function getNpmLifecycleEvent(): string | undefined;
// Lifecycle script names.
export declare function getLifecycleScriptNames(): string[];
// Packument cache.
export declare function getPackumentCache(): Map<string, unknown>;
// Pacote cache path.
export declare function getPacoteCachePath(): string;
